Bug 113273 - Crash in: SfxShell::SetDisableFlags(SfxDisableFlags)
Summary: Crash in: SfxShell::SetDisableFlags(SfxDisableFlags)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2 all versions
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2017-10-19 18:18 UTC by Frédéric Buclin
Modified: 2019-07-14 02:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SfxShell::SetDisableFlags(SfxDisableFlags)"]


Attachments
ODT file causing LibreOffice to crash (45.00 KB, application/octet-stream)
2018-02-27 21:12 UTC, Frédéric Buclin
Details
Template (11.79 KB, application/vnd.oasis.opendocument.text-template)
2018-02-28 13:50 UTC, Frédéric Buclin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Buclin 2017-10-19 18:18:00 UTC
This bug was filed from the crash reporting server and is br-d78dea88-5e3b-4882-8c3f-57203d264a0e.
=========================================
Comment 1 Xisco Faulí 2017-10-19 19:39:20 UTC
Thank you for reporting the bug.
Unfortunately without clear steps to reproduce it, we cannot track down the origin of the problem.
Please provide a clearer set of step-by-step instructions on how to reproduce the problem.
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the steps are provided
Comment 2 Frédéric Buclin 2018-02-27 21:12:12 UTC
Created attachment 140195 [details]
ODT file causing LibreOffice to crash

Steps to reproduce:
1) Open the attached ODT file.
2) When the following popup appears (translated from french), click "Keep old styles":

"Model 'modele_test' on which this document is based has changed. Do you want to update the format based on the modified model?"

3) No need to edit the document. Simply close the document, and LibreOffice will ask you if you want to save changes (which ones??). Click "Do not save".

4) LibreOffice crashes. This is also reproducible with 6.0.1.1, see http://crashreport.libreoffice.org/stats/crash_details/6f4b4a2b-f332-4596-bd0b-08b147250933
Comment 3 Xisco Faulí 2018-02-28 09:10:17 UTC
Hi  Frédéric Buclin,
Could you please attach the template you used to create the document? Otherwise, I don't see the popup for the styles...
Comment 4 Frédéric Buclin 2018-02-28 13:50:27 UTC
Created attachment 140219 [details]
Template

This is the template I have in ~/.config/libreoffice/4/user/template which causes LibreOffice to crash when I open old files I created a few years ago. If I remove this template from this directory, then no popup appears and LibreOffice doesn't crash.

Does it mean that old templates created with LibreOffice 4 (I think it was 4, maybe 3) are not compatible with LibreOffice 5 and 6? :(
Comment 5 Buovjaga 2018-03-10 13:49:59 UTC
I made sure the template is in the correct location regarding my path options, but the ODT file does not give the pop up and there is no crash.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 22b1d4784d02070ae1933c59cf2c9bb5a5284773
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 10th 2018
Comment 6 Frédéric Buclin 2018-04-09 13:06:00 UTC
I reproduced this issue using another template which I modified meanwhile:

http://crashreport.libreoffice.org/stats/crash_details/ceb3fa1e-937c-4a73-8a89-1a28cbed6fc3

Renaming the template fixes the issue. So it looks like that LibreOffice doesn't like when you edit a template already used to create files.
Comment 7 raal 2018-05-29 17:30:10 UTC
I can reproduce with following steps:

 - save .ott template in ~/.config/libreoffice/4/user/template
 - File-Templates-manage templates
 - right click modele_test  ->Open
 - write something and save file as .odt ; close the file
 - File-Templates-manage templates
 - right click modele_test  ->Edit
 - change for example Style of heading "formatif/significatif: sujet"
 - save and close the file
 - open .odt file -> Confirmation: The template 'modele_test' on which this document is based, has been modified. Do you want to update style based formatting according to the modified template?
Comment 8 raal 2018-05-29 17:32:00 UTC
I can reproduce with following steps:

 - save .ott template in ~/.config/libreoffice/4/user/template
 - File-Templates-manage templates
 - right click modele_test  ->Open
 - write something and save file as .odt ; close the file
 - File-Templates-manage templates
 - right click modele_test  ->Edit
 - change for example Style of heading "formatif/significatif: sujet"
 - save and close the file
 - open .odt file -> Confirmation: The template 'modele_test' on which this document is based, has been modified. Do you want to update style based formatting according to the modified template? 
  -> click Keep old styles
 - close the document, and LibreOffice will ask you if you want to save changes (which ones??). Click "Do not save".


  Crash


Version: 6.2.0.0.alpha0+
Build ID: 8f9f66e8d2bae94c1f469ffc51bdbffeba853a2b
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-05-29_00:00:31
Comment 9 raal 2018-05-29 17:39:06 UTC
no crash in LO 4.1,Linux
Comment 10 Buovjaga 2018-07-12 17:29:27 UTC
Tried to bibisect with Linux 42max as it showed the crashing, but not in oldest. Unfortunately I got a useless result (for some small lotuswordpro change).

If anyone wants to try, the bibisecting is basically repeating these steps, so it's not that bad:

(In reply to raal from comment #8)
>  - open .odt file -> Confirmation: The template 'modele_test' on which this
> document is based, has been modified. Do you want to update style based
> formatting according to the modified template? 
>   -> click Keep old styles
>  - close the document, and LibreOffice will ask you if you want to save
> changes (which ones??). Click "Do not save".
Comment 11 QA Administrators 2019-07-14 02:48:24 UTC
Dear Frédéric Buclin,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug